<?php

require_once __DIR__ . '/../../../init.php';
require_once __DIR__ . '/../../../includes/functions.php';
require_once __DIR__ . '/../../../includes/gatewayfunctions.php';
require_once __DIR__ . '/../../../includes/invoicefunctions.php';

$gatewaymodule = "cashbill"; 

$GATEWAY = getGatewayVariables($gatewaymodule);
if (!$GATEWAY["type"]) die("Moduł nie jest aktywny!");

function checkSignature($data, $key, $sign){
    if(md5($data['service'].$data['orderid'].$data['amount'].$data['userdata'].$data['status'].$key) == $sign)
    {
        return true;   
    }

    if(md5($data['service'].'|'.$data['orderid'].'|'.$data['amount'].'|'.$data['userdata'].'|'.$data['status'].'|'.$key) == $sign)
    {
        return true;   
    }

    return false;
}


if(checkSignature($_POST,$GATEWAY['userkey'],$_POST['sign']))
{
$invoiceid = checkCbInvoiceID($_POST['userdata'], $GATEWAY["name"]);
checkCbTransID($_POST['orderid']);
if(strtoupper($_POST['status']) == 'OK')
{    

addInvoicePayment($invoiceid, $_POST['orderid'], $_POST['amount'], 0, $gatewaymodule);
logTransaction($GATEWAY["name"], $_POST, "Successful");
    
}
    

if(strtoupper($_POST['status']) == 'ERR')
{
    
logTransaction($GATEWAY["name"], $_POST, "Unsuccessful");    

}    
    
echo 'OK';    
exit();
}


echo 'BLAD SYGNATURY';
exit();